Skip to content

List flow contacts

Request

Search contacts enrolled in automations. Returns flow-lead records that link a contact to a flow with status, current node, and timing fields.

Security
bearerAuth
Bodyapplication/jsonrequired
filterobject
limitinteger
Default:20
offsetinteger
Default:0
POST
/flows/api/flows-leads/list
curl -i -X POST \
  https://leadgen.grinfi.io/flows/api/flows-leads/list \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "filter": {
      "flow_uuid": [
        "3a4ac30b-1321-449c-9b37-e9fe3174e00e"
      ]
    },
    "limit": 20,
    "offset": 0
  }'

Responses

Paginated flow-lead records.

Bodyapplication/json
dataArray of objects
limitinteger
offsetinteger
totalinteger
has_moreboolean
Response
{ "data": [ {} ], "limit": 0, "offset": 0, "total": 0, "has_more": true }